/*-
 * ============LICENSE_START=======================================================
 * OSAM
 * ================================================================================
 * Copyright (C) 2018 AT&T
 * ================================================================================
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ============LICENSE_END=========================================================
 */
package org.onap.osam.job.dao.job;

public enum JobStatus {
    COMPLETED(true),
    FAILED(true),
    IN_PROGRESS(false),
    RESOURCE_IN_PROGRESS(false),
    PAUSE(false),
    PENDING(false),
    STOPPED(true),
    COMPLETED_WITH_ERRORS(true),
    CREATING(false);

    private final Boolean finalStatus;
    public Boolean isFinal(){return finalStatus;}

    JobStatus(Boolean finalStatus)
    {
        this.finalStatus = finalStatus ;
    }
}
